class {{classname}} extends Enum
{
    /**
     * Possible values of this enum
     */
    {{#allowableValues}}{{#enumVars}}const {{{name}}} = {{{value}}};
    {{/enumVars}}{{/allowableValues}}

    /**
     * Gets allowable values of the enum
     * @return string[]|int[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            {{#allowableValues}}{{#enumVars}}self::{{{name}}},{{^-last}}
            {{/-last}}{{/enumVars}}{{/allowableValues}}
        ];
    }
}
